// Kod Arduino do komunikacji z aplikacją Android 
#include <Max3421e.h>
#include <Usb.h>
#include <AndroidAccessory.h> // biblioteka potrzebna do połączenia ADK
// zainicjowanie obiektu akcesorium danymi identyfikacyjnymi
AndroidAccessory ADK("Producent", "Model", "Opis",
		            "1.0", "Pro Arduino", "0000000012345678");
void setup() {
   Serial.begin(115200); // zestawienie połączenia szeregowego na potrzeby debugowania kodu 
   ADK.begin();  // zestawienie połączenia z urządzeniem Android
   pinMode(13, OUTPUT);
   Serial.print("Gotowy"); // powiadomienie użytkownika, że konfiguracja jest zakończona 
}// end setup 
void loop() {
   if (ADK .isConnected()) {   // sprawdzenie, czy połączenie działa
      if (ADK.available() > 0){    // sprawdzenie przychodzących danych
         Serial.println(ADK .peek());       // wyświetlenie danych do wizualnego sprawdzenia
         if (ADK.read() == 1)  // ustawienie stanu HIGH na pinie, jeżeli przyszła wartość 1 dla innych wartości stan jest niski
            digitalWrite(13 , HIGH);
         else 
            digitalWrite(13 , LOW);
     } // koniec if (ADK .available() > 0)
   } // koniec if (ADK .isConnected()) 
} // koniec void loop()
